Issue 104312

Summary: CWS printerpullpages: Do not print graphics and diagrams inconsistencies
Product: General Reporter: joerg.skottke
Component: uiAssignee: h.ilter
Status: CLOSED FIXED QA Contact: issues@framework <issues>
Severity: Trivial    
Priority: P3 CC: christoph, h.ilter, issues, philipp.lohmann
Version: DEV300m53   
Target Milestone: OOo 3.3   
Hardware: All   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
working sample document
none
bugdoc with table and picture
none
new sample document with all different kind of objects none

Description joerg.skottke 2009-08-18 12:02:48 UTC
For some reason deselecting graphics still leaves drawing objects visible
whereas diagrams (which really means chart objects) are removed. This is
inconsistent.
Comment 1 joerg.skottke 2009-08-18 12:07:34 UTC
Placeholders are not displayed at all, hidden text i snot treated correctly
either (according to ES).
Comment 2 philipp.lohmann 2009-08-18 12:17:27 UTC
pl->tl: please have a look
Comment 3 thomas.lange 2009-08-18 12:33:25 UTC
tl->jsk: I inserted a image and a chart and both a reacting properly to the
checkbox named "graphics and diagrams".

Thus please a attach a bugdoc.
As a reference I will add my working sample.
Comment 4 thomas.lange 2009-08-18 12:35:18 UTC
Created attachment 64235 [details]
working sample document
Comment 5 joerg.skottke 2009-08-21 13:02:15 UTC
@TL: You missed the point because i was a little unclear. I was referring to two
differnt problems:

1) Diagrams are called "Charts" throughout the office. 
   We should stick with it.
2) Drawing Objects are not treated as "Graphics"
   I'm quite certain that users do not make any difference here.
   But we hide only "real" graphics (images, that is), no drawing objects.

For 2) i can see two solutions:
1) Hide Graphic Objects as well
   Simple, inaccurate and might not be what the user intends
2) Add another option to hide drawing objects
   More confusing but offers max. flexibilty
Comment 6 thomas.lange 2009-08-21 13:11:37 UTC
tl->jsk: In the CWS printerpullpages we only change the implementation of how
printing works in the office. We do not change the printing behavior itself.
Thus in this CWS the results should be the same as in e.g. OOo 3.1.

If you want something to change that can be done after OOo 3.2.
If you have noticed a different behavior compared to OOo 3.1 please add a
bug-doc that shows the problem in order to get it fixed in the CWS.
Comment 7 christoph 2009-08-30 20:16:29 UTC
Hi everyone! I stumbled across the issue and there are several things I would
like to discuss. Maybe these are several issues at once...

NAMING OF "DIAGRAMS"
The naming "diagrams" was a typo - I'm very sorry for that! The string review
page (link) below states <<Writer: Changed option "Graphics and diagrams" to
"Pictures and drawings". "Pictures" improves consistency, the former "diagrams"
has simply been wrong.>>
Link:
http://wiki.services.openoffice.org/wiki/Printerpullpages/String_Reviews#Discussion_2


BEHAVIOR OF "PRINT DRAWINGS"

The help states "Specifies whether graphics created with OpenOffice.org drawing
functions are printed." But, if shapes (from the same drawing toolbar) are used,
then this option does not work. Only basic drawing objects are correctly
switched on/off. I checked this in OOo 3.1 (Ubuntu). Separate issue?


NAMING OF "GRAPHICS" / "PICTURES"

I originally assumed that graphics does only refer to pictures (Insert - Picture
- From File...). But it seems that this setting does affect all OLE objects
(e.g. Charts). Is that correct?

If yes, then the current terminology is really weird: images / graphics /
pictures ...
Comment 8 thomas.lange 2009-08-31 07:39:29 UTC
tl->christophnoack: I think it would be nice if "tables" got included in the
string as well. Since the option does also effect them.

I also like to suggest to change the naming of "Add blank pages for page breaks"
back to the old text about automatically inserted blank pages. It was much more
meaningful since it exactly described what happened. ;-)
Also the users already know that string and thus will immediately recognize what
functionality is meant. 
Comment 9 christoph 2009-08-31 19:58:54 UTC
@tl, Table behavior: The tables shouldn't be affected - at least I thought that.
We removed the entry, and OS accepted (2009-06-08, please refer to document
below, cell X203).

Link:
http://wiki.services.openoffice.org/w/images/e/e2/Current_Dialogs_ListOfAllPrintDialogElements.ods

I thought to print the tables in any case (at least from the GUI settings, API
may be different) - but you are right. I just checked in a dev build.

@pl: Do you know whether "tables" are now part of the "Pictures and drawings"
(current naming)? I'll propose to only keep OLE objects and graphics... (since
people usually make use of tables to arrange text which is equally important
like the normal document text)

---

@tl, automatically add blank pages: The former and current formulation is
ambigious - I currently wait for Liz' feedback on that (since I already proposed
to keep "automatically"). But, the exact behavior isn't clear at all...

The original formulation stated that the pages were already added (but usually
invisibile during normal editing of the document), so I changed it to be more
active "Add ...". The understandability of the whole feature is currently
discussed at de-users, I'll add that to the string review wiki page. Thank you!
Comment 10 philipp.lohmann 2009-09-03 10:27:34 UTC
target
Comment 11 h.ilter 2009-10-15 15:20:49 UTC
@christophnoack: Tables are definitively not part of pictures & drawings.
It needs it's own option like it is on current master version.
Comment 12 christoph 2009-10-17 00:11:11 UTC
@hi: Hi Hasan! Concerning the tables it has been decided to include them in any
case. Currently, there is no reason to keep it. We really should try to reduce
the number of options. Too much choice is sometimes bad :-)

OLE objects (and therefore Calc tables) are different, since they get
deactivated by "Pictures and drawings". Here, we may also add the (technical)
term "OLE objects". Is that what you have in mind?
Comment 13 h.ilter 2009-10-19 10:14:27 UTC
Hi Christoph,
no I don't mean OLE objects, I mean the table made by writer.
Please see my attachment. It should make clear why the current behavior would be
a disaster for lot of users.
Saving options sounds good but please not at wrong place.
Comment 14 h.ilter 2009-10-19 10:18:46 UTC
Created attachment 65438 [details]
bugdoc with table and picture
Comment 15 christoph 2009-10-19 23:50:57 UTC
@hi: Sorry, you are absolutely right! The tables are still enabled/disabled with
the wrong option.

Originally (at least I thought) I proposed to remove the option for the tables,
and to print them in the document in any case. Thus, there should be no option
to enable/disable tables. (So my "include them in any case" did not refer to the
option, it referred to the document). Sorry for being ambigious...

@pl: Can you change that, please? Shall I create another issue for that?
Comment 16 philipp.lohmann 2009-10-20 09:44:26 UTC
No, but tl can
Comment 17 thomas.lange 2009-11-23 10:45:33 UTC
.
Comment 18 thomas.lange 2009-12-04 10:13:12 UTC
Created attachment 66489 [details]
new sample document with all different kind of objects
Comment 19 thomas.lange 2009-12-07 13:11:04 UTC
Fixed in CWS tl76.

Files changed:

M svx/inc/svx/svdpntv.hxx
M svx/source/sdr/contact/viewobjectcontactofsdrobj.cxx
M svx/source/svdraw/svdpntv.cxx

M sc/source/ui/view/gridwin3.cxx
M sc/source/ui/view/output3.cxx
M sc/source/ui/view/printfun.cxx

M sw/source/core/doc/notxtfrm.cxx
M sw/source/core/inc/cellfrm.hxx
M sw/source/core/inc/flyfrm.hxx
M sw/source/core/inc/frame.hxx
M sw/source/core/inc/layfrm.hxx
M sw/source/core/inc/notxtfrm.hxx
M sw/source/core/inc/rootfrm.hxx
M sw/source/core/inc/tabfrm.hxx
M sw/source/core/inc/txtfrm.hxx
M sw/source/core/inc/viewimp.hxx
M sw/source/core/layout/paintfrm.cxx
M sw/source/core/layout/unusedf.cxx
M sw/source/core/text/frmpaint.cxx
M sw/source/core/view/vdraw.cxx
M sw/source/core/view/vprint.cxx
M sw/source/ui/config/optdlg.src
M sw/source/ui/uno/unotxdoc.cxx
Comment 20 thomas.lange 2009-12-07 13:12:08 UTC
Err... should have been: fixed in CWS printerpullpges.
Comment 21 thomas.lange 2009-12-08 13:13:16 UTC
Note: As discussed with HI I changed the naming of the respective option to:
        < "~Pictures and objects"; >
since that fits more what actually is done.
The help text is now:
        < "Specifies whether the graphics and drawing or OLE objects of your
text document are printed"; >

Comment 22 thomas.lange 2009-12-14 11:46:58 UTC
.
Comment 23 h.ilter 2010-01-06 15:30:54 UTC
Verified with cws printerpullpages = OK